#Makefile which build commandline version of kokla for Windows
VERSION= $(shell hg identify)
CFLAGS= -DVERSION='"$(VERSION)"' -DCLIENT=1 -DRELEASE=1 -DOS=0x02 -msse2 -march=i686 -O3  -funroll-loops -ffast-math -I../kgui
SRC = $(wildcard *.c)
objects := $(patsubst %.c,%.o,$(SRC))
CC=gcc


all: $(objects)
	gcc -o kokla $(CFLAGS) $(objects) ../kgui/k.o -lm -lws2_32

clean:
	-del *.o
	-del *.a
	-del kokla.exe


