/*
    $Id: rand.c 292 2010-02-14 07:37:34Z irfangul82 $
    Simple file and directory encryption
    Copyright (C) 2010  Irfan Gulamali

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include <time.h>
#include <stdlib.h>
#include <string.h>

void k_rand(unsigned char *iv, int sz)
{
    static unsigned int cntr = 0;
    static unsigned int seed =  0;
    static time_t rawtime;
    static char *timestr = 0;
    struct tm * timeinfo;

    time(&rawtime);
    timeinfo = localtime(&rawtime);
    seed += getpid();

    timestr = calloc(sizeof(char),  strlen(asctime(timeinfo))+1);
    strcpy(timestr, asctime(timeinfo));
    while ( cntr < strlen(asctime(timeinfo)))
    {
        seed +=  timestr[cntr];
        cntr++;
    }
    cntr = 0;

    srand(seed);

    while ( cntr < sz )
    {
        iv[cntr] = (char)(rand() % 256);
        cntr++;
    }
    free(timestr);
}


