/*
    $Id$
    Simple file and directory encryption
    Copyright (C) 2010  Irfan Gulamali

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "aboutwindow.h"


aboutwindow::aboutwindow(QWidget* parent) : QDialog (parent)
{
    char gplText[] = "\
Kokla - Simple file and directory encryption\n \
http://sourceforge.net/projects/kokla/\n \
Copyright (C) 2010  Irfan Gulamali\n\n \
This program is free software: you can redistribute it and/or modify \
it under the terms of the GNU General Public License as published by \
the Free Software Foundation, either version 3 of the License, or \
(at your option) any later version.\n\n \
This program is distributed in the hope that it will be useful, \
but WITHOUT ANY WARRANTY; without even the implied warranty of \
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the \
GNU General Public License for more details.\n\n \
You should have received a copy of the GNU General Public License \
along with this program.  If not, see <http://www.gnu.org/licenses/>.";

    v1 = new QVBoxLayout(this);
    okayButton = new QPushButton(this);
    gplInfo = new QTextEdit(this);

    gplInfo->setPlainText(QString(gplText));
    gplInfo->setReadOnly(true);

    v1->addWidget(gplInfo);
    v1->addWidget(okayButton);
    setLayout(v1);

    okayButton->setText("&Close");
    setWindowTitle("About");
    setModal(true);

    connect(okayButton, SIGNAL(clicked()), SLOT(hideAboutWindow()));
    setFixedSize(300, 320);
}


aboutwindow::~aboutwindow()
{
    delete(v1);
    delete(okayButton);
    delete(gplInfo);
}


void aboutwindow::hideAboutWindow()
{
    hide();
}

#if OS == 0x03
#include "aboutwindow.moc"
#endif