/*
    $Id: messagepanel.h 297 2010-02-16 21:38:42Z irfangul82 $
    Simple file and directory encryption
    Copyright (C) 2010  Irfan Gulamali

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MESSAGEPANEL_H
#define MESSAGEPANEL_H

#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QTextEdit>
#include <QtGui/QBoxLayout>
#include <QtGui/QWidget>

class messagepanel : public QWidget
{
    Q_OBJECT
public:
    messagepanel(QWidget* parent = 0);
    virtual ~messagepanel();
private:
    QPushButton* encryptButton;
    QPushButton* decryptButton;
    QLabel* messageLabel;
    QLabel* passwordLabel;
    QLineEdit* password1;
    QLineEdit* password2;
    QTextEdit* messageBox;
    QVBoxLayout* v1;
    QHBoxLayout* h1;
    QHBoxLayout* h2;
    QHBoxLayout* h3;
    QHBoxLayout* h4;
private slots:
    void validateForm(const QString&);
    void validateForm_0();
    void encryptMessage();
    void decryptMessage();
};

#endif // MESSAGEPANEL_H
