#Makefile which build commandline version of kokla for *NIX
VERSION= $(shell hg identify | cut -d" " -f1)
CFLAGS= -DVERSION='"$(VERSION)"' -DCLIENT=1 -DRELEASE=1 -DOS=0x03 -msse2 -march=i686 -O3  -funroll-loops -ffast-math -I../kgui
SRC = $(wildcard *.c)
objects := $(patsubst %.c,%.o,$(SRC))
CC=gcc


all: $(objects)
	gcc -o kokla $(CFLAGS) $(objects) -lm -pthread

clean:
	-rm *.o
	-rm *.a
	-rm kokla


