/*
    $Id: thread.c 292 2010-02-14 07:37:34Z irfangul82 $
    Simple file and directory encryption
    Copyright (C) 2010  Irfan Gulamali

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#if OS == 0x02
#include <windows.h>

/*create simple threads no parameters passed */
void mkTHREAD(void *ptr)
{
    HANDLE thrd;
    thrd = CreateThread(NULL, 0, ptr,0,0,0);
}

#endif /* WINDOWS */



/*****************************************************/



#if OS == 0x03
#include <pthread.h>

/*create simple threads no parameters passed */
void mkTHREAD(void *ptr)
{
    pthread_t p;
    pthread_create(&p, NULL, ptr, NULL);

}

#endif /* LINUX */
