/*
    $Id: client.h 286 2010-02-12 18:53:59Z irfangul82 $
    Simple file and directory encryption
    Copyright (C) 2010  Irfan Gulamali

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
#ifdef __cplusplus
extern "C" {
#endif
#ifndef CLIENT_H
#define CLIENT_H

#define ENCFL 0x30
#define DECFL 0x31
#define ENCDIR 0x32
#define DECDIR 0x33
#define GTSHA 0x34
#define GTDIRSHA 0x35
#define ENCMSG 0x36
#define DECMSG 0x37

    void usage();
    void procErr(int err);
    void getPass(char *pass);
    int sndFile(char *fname, char *host, int port);
    int sndDir(char *fname, char *host, int port);
    int parseParams(int argc, char **argv);


#endif /* CLIENT_H */
#ifdef __cplusplus
}
#endif
